Bug 1223005 - audit logs show counter cache information
Summary: audit logs show counter cache information
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Tomer Brisker
QA Contact: Corey Welton
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-19 15:03 UTC by Tomer Brisker
Modified: 2019-09-25 20:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 08:51:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 10288 None None None 2016-04-22 16:19:23 UTC
Red Hat Product Errata RHBA-2016:1500 normal SHIPPED_LIVE Red Hat Satellite 6.2 Base Libraries 2016-07-27 12:24:38 UTC

Description Tomer Brisker 2015-05-19 15:03:00 UTC
when browsing via the audit logs, you can see the counter changing (for example for puppet class assignments) - see attachment

Comment 1 Tomer Brisker 2015-05-19 15:03:02 UTC
Created from redmine issue http://projects.theforeman.org/issues/10288

Comment 3 Bryan Kearney 2015-05-20 10:10:01 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/10288 has been closed
-------------
Anonymous
Applied in changeset commit:ff33aaaa5f736f79cbad514e98b405be3197d955.

Comment 4 Tazim Kolhar 2015-11-10 09:45:37 UTC
VERIFIED:
 rpm -qa | grep foreman
foreman-gce-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
hp-bl465cg7-01.rhts.eng.bos.redhat.com-foreman-client-1.0-1.noarch
hp-bl465cg7-01.rhts.eng.bos.redhat.com-foreman-proxy-1.0-1.noarch
foreman-selinux-1.11.0-0.develop.201510071426git6234447.el7.noarch
tfm-rubygem-foreman_bootdisk-6.0.0-2.fm1_10.el7.noarch
foreman-release-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
foreman-ovirt-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
tfm-rubygem-hammer_cli_foreman_tasks-0.0.8-1.el7.noarch
foreman-libvirt-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
foreman-postgresql-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
foreman-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
tfm-rubygem-foreman_gutterball-0.0.1-3.el7.noarch
hp-bl465cg7-01.rhts.eng.bos.redhat.com-foreman-proxy-client-1.0-1.noarch
tfm-rubygem-foreman_discovery-4.1.2-1.fm1_11.el7.noarch
foreman-compute-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
tfm-rubygem-hammer_cli_foreman_docker-0.0.3-4.el7.noarch
foreman-debug-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
foreman-proxy-1.11.0-0.develop.201511020918git26aba85.el7.noarch
foreman-vmware-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
tfm-rubygem-hammer_cli_foreman-0.4.0-1.201510201150gitab068d9.el7.noarch
tfm-rubygem-foreman_hooks-0.3.9-1.el7.noarch
tfm-rubygem-foreman-tasks-0.7.6-1.fm1_10.el7.noarch
foreman-release-scl-1-1.el7.x86_64
tfm-rubygem-foreman_docker-1.4.1-2.fm1_10.el7.noarch
tfm-rubygem-hammer_cli_foreman_bootdisk-0.1.3-3.el7.noarch

steps:
# tail -f audit.log 
type=LOGIN msg=audit(1447147801.856:1261): pid=18841 uid=0 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 old-auid=4294967295 auid=993 old-ses=4294967295 ses=13 res=1
type=LOGIN msg=audit(1447147801.856:1262): pid=18842 uid=0 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 old-auid=4294967295 auid=993 old-ses=4294967295 ses=14 res=1
type=USER_START msg=audit(1447147801.882:1263): pid=18841 uid=0 auid=993 ses=13 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='op=PAM:session_open grantors=pam_loginuid,pam_keyinit,pam_limits,pam_systemd acct="foreman" exe="/usr/sbin/crond" hostname=? addr=? terminal=cron res=success'
type=USER_START msg=audit(1447147801.882:1264): pid=18842 uid=0 auid=993 ses=14 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='op=PAM:session_open grantors=pam_loginuid,pam_keyinit,pam_limits,pam_systemd acct="foreman" exe="/usr/sbin/crond" hostname=? addr=? terminal=cron res=success'
type=CRED_REFR msg=audit(1447147801.882:1265): pid=18841 uid=0 auid=993 ses=13 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='op=PAM:setcred grantors=pam_env,pam_unix acct="foreman" exe="/usr/sbin/crond" hostname=? addr=? terminal=cron res=success'
type=CRED_REFR msg=audit(1447147801.883:1266): pid=18842 uid=0 auid=993 ses=14 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='op=PAM:setcred grantors=pam_env,pam_unix acct="foreman" exe="/usr/sbin/crond" hostname=? addr=? terminal=cron res=success'
type=CRED_DISP msg=audit(1447147886.636:1267): pid=18841 uid=0 auid=993 ses=13 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='op=PAM:setcred grantors=pam_env,pam_unix acct="foreman" exe="/usr/sbin/crond" hostname=? addr=? terminal=cron res=success'
type=USER_END msg=audit(1447147886.639:1268): pid=18841 uid=0 auid=993 ses=13 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='op=PAM:session_close grantors=pam_loginuid,pam_keyinit,pam_limits,pam_systemd acct="foreman" exe="/usr/sbin/crond" hostname=? addr=? terminal=cron res=success'
type=CRED_DISP msg=audit(1447147889.043:1269): pid=18842 uid=0 auid=993 ses=14 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='op=PAM:setcred grantors=pam_env,pam_unix acct="foreman" exe="/usr/sbin/crond" hostname=? addr=? terminal=cron res=success'
type=USER_END msg=audit(1447147889.044:1270): pid=18842 uid=0 auid=993 ses=14 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='op=PAM:session_close grantors=pam_loginuid,pam_keyinit,pam_limits,pam_systemd acct="foreman" exe="/usr/sbin/crond" hostname=? addr=? terminal=cron res=success'

Comment 8 errata-xmlrpc 2016-07-27 08:51:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1500


Note You need to log in before you can comment on or make changes to this bug.